#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 arch-hs
version:              0.10.2.0
visibility:           public
id:                   arch-hs-0.10.2.0-A6tyG40VPIUGUXJvyfUSFq
key:                  arch-hs-0.10.2.0-A6tyG40VPIUGUXJvyfUSFq
license:              MIT
copyright:            (c) 2020-2022 berberman
maintainer:           berberman <berberman@yandex.com>
author:               berberman
homepage:             https://github.com/berberman/arch-hs
synopsis:             Distribute hackage packages to archlinux
description:
    @arch-hs@ is a command-line program, which simplifies the process of producing
    and maintaining haskell packages for archlinux distribution by automating the
    PKGBUILD generation with the dependency resolving and template filling. Currently,
    @arch-hs@ is unstable, so packagers should not trust it 100%, but always follow the
    <https://wiki.archlinux.org/index.php/Haskell_package_guidelines Haskell package guidelines>.

category:             Distribution
abi:                  e65b3492c746d16d074cf3963438be05
exposed:              True
exposed-modules:
    Distribution.ArchHs.Aur Distribution.ArchHs.CommunityDB
    Distribution.ArchHs.Compat Distribution.ArchHs.Core
    Distribution.ArchHs.Exception Distribution.ArchHs.FilesDB
    Distribution.ArchHs.Hackage Distribution.ArchHs.Internal.Prelude
    Distribution.ArchHs.Local Distribution.ArchHs.Name
    Distribution.ArchHs.Options Distribution.ArchHs.PP
    Distribution.ArchHs.PkgBuild Distribution.ArchHs.PkgDesc
    Distribution.ArchHs.Types Distribution.ArchHs.Utils

hidden-modules:
    Distribution.ArchHs.Internal.NamePresetLoader Paths_arch_hs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/arch-hs-0.10.2.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/arch-hs-0.10.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/arch-hs
hs-libraries:         HSarch-hs-0.10.2.0-A6tyG40VPIUGUXJvyfUSFq
extra-libraries:      alpm
include-dirs:         /usr/lib/ghc-9.0.2/site-local/arch-hs-0.10.2.0/include
depends:
    Cabal-3.4.1.0 Diff-0.4.1-nBJKDluwWQdBlfGBrAAN
    aeson-1.5.6.0-8RmaUxpnEyzFEsjlzg3EtT
    algebraic-graphs-0.7-Fm36M3vPDQ88MW90KojAMb
    arch-web-0.1.1-IBWJf1UeWC7GDRBetbELKV base-4.15.1.0
    bytestring-0.10.12.1 conduit-1.3.4.2-F9QdDA7xtUa5vT767kOTLE
    conduit-extra-1.3.6-CMQm7rgPxCRCvORodZQmVa containers-0.6.4.1
    deepseq-1.4.5.0 directory-1.3.6.2 filepath-1.4.2.1
    hackage-db-2.1.2-GkyvNatt1yt5hvxnPZe0CR
    http-client-0.7.12-H9FhuQBSW8iFxGWtn1JKwH
    http-client-tls-0.3.6.1-1rYVODpMoazGRre6lit0oj
    megaparsec-9.2.1-AcAPWVKG2df1cxYo2GdubJ
    microlens-0.4.13.0-8kbZITwqGed8vNsPXOVOwI
    microlens-th-0.4.3.10-CQmpaaSwO5aKTBUMVOAKZU
    neat-interpolation-0.5.1.3-DWGlPMeb9oe7h5rhGcK29r
    optparse-simple-0.1.1.4-DapIhfokCB79VOdV5wcH1L
    polysemy-1.7.1.0-8IoOiqFU7GAKiRyjlYllkc
    prettyprinter-1.7.1-29sOZfg5wYu4GypXFtmU4F
    prettyprinter-ansi-terminal-1.1.3-KvdunZ7QMhUGgtx8jGmgkH
    servant-client-0.18.3-3YA6BWSSNgCLS0MV5tPXqD
    split-0.2.3.4-IE0McpOBQ8hEnPUVdTQpXZ
    tar-conduit-0.3.2-KOR5UWK4wKqDL5x1gc0ULy template-haskell-2.17.0.0
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/arch-hs/html/arch-hs.haddock
haddock-html:         /usr/share/doc/arch-hs/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

